    001    /* ===========================================================
    002     * JFreeChart : a free chart library for the Java(tm) platform
    003     * ===========================================================
    004     *
    005     * (C) Copyright 2000-2008, by Object Refinery Limited and Contributors.
    006     *
    007     * Project Info:  http://www.jfree.org/jfreechart/index.html
    008     *
    009     * This library is free software; you can redistribute it and/or modify it
    010     * under the terms of the GNU Lesser General Public License as published by
    011     * the Free Software Foundation; either version 2.1 of the License, or
    012     * (at your option) any later version.
    013     *
    014     * This library is distributed in the hope that it will be useful, but
    015     * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
    016     * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public
    017     * License for more details.
    018     *
    019     * You should have received a copy of the GNU Lesser General Public
    020     * License along with this library; if not, write to the Free Software
    021     * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301,
    022     * USA.
    023     *
    024     * [Java is a trademark or registered trademark of Sun Microsystems, Inc.
    025     * in the United States and other countries.]
    026     *
    027     * ------------------
    028     * ContourEntity.java
    029     * ------------------
    030     * (C) Copyright 2002-2008, by David M. O'Donnell and Contributors.
    031     *
    032     * Original Author:  David M. O'Donnell;
    033     * Contributor(s):   David Gilbert (for Object Refinery Limited);
    034     *
    035     * Changes
    036     * -------
    037     * 26-Nov-2002 : Version 1 contributed by David M. O'Donnell (DG);
    038     * 20-May-2004 : Added equals() and clone() methods and implemented
    039     *               Serializable (DG);
    040     * ------------- JFREECHART 1.0.x ---------------------------------------------
    041     * 02-Feb-2007 : Removed author tags all over JFreeChart sources (DG);
    042     *
    043     */
    044
    045    package org.jfree.chart.entity;
    046
    047    import java.awt.Shape;
    048    import java.io.Serializable;
    049
    050    import org.jfree.chart.plot.XYPlot;
    051    import org.jfree.chart.renderer.xy.XYBlockRenderer;
    052
    053    /**
    054     * Represents an item on a contour chart.
    055     *
    056     * @deprecated This class is no longer supported (as of version 1.0.4).  If
    057     *     you are creating contour plots, please try to use {@link XYPlot} and
    058     *     {@link XYBlockRenderer}.
    059     */
    060    public class ContourEntity extends ChartEntity
    061                               implements Cloneable, Serializable {
    062
    063        /** For serialization. */
    064        private static final long serialVersionUID = 1249570520505992847L;
    065
    066        /** Holds the index into the dataset for this entity. */
    067        private int index = -1;
    068
    069        /**
    070         * Constructor for ContourEntity.
    071         *
    072         * @param area  the area.
    073         * @param toolTipText  the tooltip text.
    074         */
    075        public ContourEntity(Shape area, String toolTipText) {
    076            super(area, toolTipText);
    077        }
    078
    079        /**
    080         * Constructor for ContourEntity.
    081         *
    082         * @param area  the area.
    083         * @param toolTipText  the tooltip text.
    084         * @param urlText  the URL text.
    085         */
    086        public ContourEntity(Shape area, String toolTipText, String urlText) {
    087            super(area, toolTipText, urlText);
    088        }
    089
    090        /**
    091         * Returns the index.
    092         *
    093         * @return The index.
    094         */
    095        public int getIndex() {
    096            return this.index;
    097        }
    098
    099        /**
    100         * Sets the index.
    101         *
    102         * @param index  the index.
    103         */
    104        public void setIndex(int index) {
    105            this.index = index;
    106        }
    107
    108        /**
    109         * Tests the entity for equality with an arbitrary object.
    110         *
    111         * @param obj  the object (<code>null</code> permitted).
    112         *
    113         * @return A boolean.
    114         */
    115        public boolean equals(Object obj) {
    116            if (obj == this) {
    117                return true;
    118            }
    119            if (obj instanceof ContourEntity && super.equals(obj)) {
    120                ContourEntity ce = (ContourEntity) obj;
    121                if (this.index != ce.index) {
    122                    return false;
    123                }
    124                return true;
    125            }
    126            return false;
    127        }
    128
    129        /**
    130         * Returns a clone of the entity.
    131         *
    132         * @return A clone.
    133         *
    134         * @throws CloneNotSupportedException if cloning is not supported.
    135         */
    136        public Object clone() throws CloneNotSupportedException {
    137            return super.clone();
    138        }
    139
    140    }